#!/bin/sh

# script to update site xml files, by merging new features from "mirror" command, with old "authored" content.

main_name=$1
updateSite=$2
updateToolsDir=org.eclipse.wtp.releng.webupdatesite

in_authored=$HOME/$updateToolsDir/WebContent/$main_name
# remember, this 'site.xml' is just the output of mirror command, when ran in context
in_newFeatures=$updateSite/.site.xml

# merges newFeautes in to authored, back in original locaion
java -jar siteFileUpdater.jar $in_authored $in_newFeatures

#copy to discovery site
cp $in_authored  $updateSite/$main_name


